﻿@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap');

:root {
    --primary-color: #859375;
    --c-FED7BE: #FED7BE;
    --c-F2FCF0: #F2FCF0;
    --c-293028: #293028;
    --c-FDAD7E: #FDAD7E;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /*    font-family: museo-sans, sans-serif;*/
    font-family: "Poppins", sans-serif;
}

html {
    width: 100%;
    height: 100%;
}

body {
    width: 100%;
    height: 100%;
}

select {
    font-size: 12px;
}

.primary-color {
    color: var(--primary-color);
}

.bg-primary-color {
    background-color: var(--primary-color);
}

.background-wrapper {
    background: url("../images/home/newbg.jpg") no-repeat;
    background-size: cover;
    width: 100%;
    height: 100%;
}

    .background-wrapper .login-form-container {
        width: 100%;
        height: 100%;
        justify-content: start;
    }

.container-login {
    max-width: 100%;
    width: 420px;
    margin: 0 auto;
    height: 100%;
    display: flex;
    padding: 0 20px;
    flex-direction: column;
    justify-content: space-between;
}

@media (max-width: 1200px) {
    .container-login {
        width: 520px;
    }
}

.login {
    height: 100%;
}

.form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    border-radius: 16px;
}

.login-right-Img {
    background: url('../images/home/Group4738.png') no-repeat;
    background-position: center center;
    background-size: cover;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: end;
}

.login-content {
    background-color: var(--primary-color);
    min-height: 100%;
}

.panel-start-text {
    color: var(--c-FED7BE);
    font-weight: 800;
    font-size: 24px;
    line-height: 29px;
}

.login-text {
    font-size: 36px;
    color: var(--c-FED7BE);
    line-height: 55px;
    font-weight: 600;
    margin-bottom: 10px;
}

.info-message-text {
    font-size: 12px;
    color: var(--c-F2FCF0);
    line-height: 18px;
    margin-bottom: 30px;
}

.flex-column > label {
    color: #151717;
    font-weight: 600;
    font-size: 10px;
}

.inputForm {
    display: flex;
    margin-bottom: 20px;
    gap: 5px;
    flex-direction: column;
}

    .inputForm label {
        font-size: 14px;
        font-weight: 600;
        line-height: 21px;
        color: var(--c-FED7BE);
    }

    .inputForm input,
    .inputForm .form-control,
    .form-control:invalid:focus {
        border: none !important;
        box-shadow: none !important;
        outline: none !important;
        background-color: var(--c-F2FCF0) !important;
    }

    .inputForm input {
        padding: 20px;
        border-radius: 0 16px;
        background-color: var(--c-F2FCF0);
        border: none;
        box-shadow: none;
        outline: none;
        font-size: 18px;
        color: var(--c-293028);
        line-height: 27px;
        font-weight: 600;
    }

.invalid-feedback {
    color: var(--c-F2FCF0) !important;
}

.inputForm .form-control.is-valid, .was-validated .form-control:valid,
.inputForm .form-control.is-valid, .was-validated .form-control:valid:focus {
    background-image: url(../images/check.svg) !important;
}

.inputForm .form-control.is-valid, .was-validated .form-control:invalid,
.inputForm .form-control.is-valid, .was-validated .form-control:invalid:focus {
    background-image: url(../images/cross.svg) !important;
    background-size: 22px 22px;
    background-position-x: 98%;
}

.password-icon {
    cursor: pointer;
    padding-right: 5px;
}

.span {
    font-size: 1.2rem;
    margin-left: .5rem;
    color: #0F172A;
    font-weight: 500;
    cursor: pointer;
}

#error-wrapper {
    padding: 20px;
    font-size: 14px;
    background-color: var(--c-FED7BE);
    color: var(--primary-color);
    width: 100%;
    text-align: center;
    border-radius: 0 16px;
}

.button-submit {
    background-color: var(--c-FED7BE);
    border: none;
    color: var(--primary-color);
    font-size: 14px;
    font-weight: 600;
    border-radius: 0 16px;
    margin-bottom: 20px;
    height: 50px;
    width: 100%;
    cursor: pointer;
    transition: all 0.3s;
}

    .button-submit:hover {
        background-color: var(--c-FDAD7E);
        color: #fff;
    }

    .button-submit.disabled {
        opacity: .5;
    }

        .button-submit.disabled:hover {
            background-color: var(--c-FED7BE);
            opacity: .5;
        }

.button-submit {
    border: none !important;
    box-shadow: none !important;
    outline: none !important;
}

    .button-submit:focus {
        background-color: var(--c-FDAD7E);
        color: #fff;
    }

.p {
    text-align: center;
    color: black;
    font-size: 1.2rem;
    margin: .5rem 0;
}

.login-logo-wrapper {
    width: 100px;
    height: 100px;
    margin: 0 auto
}

    .login-logo-wrapper img {
        width: 100%;
        height: 100%;
    }


.login-info-message {
    color: var(--primary-color);
    background-color: #fff;
    padding: 10px 8px;
    border: 1px solid var(--primary-color);
    border-radius: 8px;
}


/*loading spinner*/
#loadingSpinner {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.spinner-container {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.spinner {
    border: 1px solid #f3f3f3;
    border-top: 3px solid var(--primary-color);
    border-radius: 50%;
    width: 90px;
    height: 90px;
    animation: spin 2s linear infinite;
}

.spinner-image {
    position: absolute;
    width: 45px;
    height: 45px;
    z-index: 10;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/*Counter Wrapper Start*/


.counter-wrapper {
    display: flex;
    width: fit-content;
    align-items: start;
    gap: 16px;
    margin-bottom: 20px;
    user-select: none;
}

    .counter-wrapper .counter-item {
        border-radius: 0 16px;
        width: 122px;
        height: 122px;
        color: var(--c-293028);
        background-color: var(--c-FDAD7E);
        font-weight: bold;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

        .counter-wrapper .counter-item .number {
            font-size: 52px;
            line-height: 38px;
        }

        .counter-wrapper .counter-item .text {
            font-size: 16px;
            line-height: 38px;
        }

@media (max-width: 1200px) {
    .counter-wrapper {
        gap: 8px;
    }

        .counter-wrapper .counter-item {
            border-radius: 0 16px;
            width: 85px;
            height: 85px;
        }

            .counter-wrapper .counter-item .number {
                font-size: 40px;
                line-height: 32px;
            }

            .counter-wrapper .counter-item .text {
                font-size: 14px;
                line-height: 26px;
            }
}

/*Counter Wrapper End*/

.inputContainer {
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: center;
    justify-content: center;
}

.otp-input {
    background-color: var(--c-F2FCF0);
    width: 100%;
    height: 60px;
    text-align: center;
    border: none;
    caret-color: rgb(127, 129, 255);
    color: var(--c-293028);
    outline: none;
    font-weight: 600;
    border-radius: 0 8px;
}

.authenticationTimer {
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--c-FDAD7E);
    color: var(--c-293028);
    border-radius: 50%;
    font-weight: bold;
    font-size: 30px;
    margin: 0 auto;
}

@media (min-width: 768px) {
    .navbar-right-wrapper label {
        width: 56px;
        height: 56px;
        border-radius: 0 16px;
        font-size: var(--b1-font-size);
    }
}

.navbar-right-wrapper label {
    width: 60px;
    height: 60px;
    border-radius: 0 16px;
    padding: 0;
    font-size: 17px;
}

.hidden-radio {
    display: none;
}

.custom-radio {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 25px 22px;
    border: 1px solid #D0E0CB;
    border-radius: 0px 16px;
    background: transparent;
    color: #D0E0CB !important;
    font-weight: 600;
    cursor: pointer;
    max-height: 70px;
    font-size: var(--b1-font-size);
    transition:ease-out all .3s;
}

.custom-radio:hover {
    background-color: var(--c-FED7BE);
    border: 1px solid var(--c-FED7BE);
    color: var(--c-293038) !important;
}

.custom-radio.active, .hidden-radio:checked + .custom-radio {
    background-color: var(--c-FED7BE);
    border: 1px solid var(--c-FED7BE);
    color: var(--c-293038) !important;
}